PROGRAM   CharTb22 ;
USES   WinCRT ;
VAR
   i : Integer ;
BEGIN
   {----- LOOP , On each char }
   FOR i := 0 TO 255 DO BEGIN
      {----- Write char  ( Ignoring problem chars )  }
      IF (   ((i >= $00) and (i <= $0F))
          or ((i >= $10) and (i <= $1F)) )
      THEN WriteLn (   '-'   )
      ELSE WriteLn (   Chr(i)   );
   END;{i}
END.
